Bug 1047070 - Review Request: rubygem-literati - Render literate Haskell with Ruby
Summary: Review Request: rubygem-literati - Render literate Haskell with Ruby
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-28 20:07 UTC by Ken Dreyer
Modified: 2014-07-09 18:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-09 18:07:26 UTC
Type: ---
steve.traylen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ken Dreyer 2013-12-28 20:07:55 UTC
Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-literati.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-literati-0.0.4-1.fc21.src.rpm
Description: Render literate Haskell with Ruby for great good.
Fedora Account System Username: ktdreyer

F21 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6339249

Comment 2 Steve Traylen 2014-06-16 08:50:00 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.

[X]: License file installed when any subpackage combination is installed.
[X]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Package complies to the Packaging Guidelines
[X]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[X]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[X]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[-]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).
[x]: Package contains Requires: ruby(release).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[!]: Gem should use %gem_install macro.
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %exclude
     /usr/share/gems/cache/literati-0.0.4.gem,
     /usr/share/gems/specifications/literati-0.0.4.gemspec
[x]: Gem package should exclude cached Gem.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-literati-0.0.4-2.fc20.noarch.rpm
          rubygem-literati-doc-0.0.4-2.fc20.noarch.rpm
          rubygem-literati-0.0.4-2.fc20.src.rpm
rubygem-literati.noarch: W: no-manual-page-for-binary literati
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-literati-doc rubygem-literati
rubygem-literati.noarch: W: no-manual-page-for-binary literati
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-literati-doc (rpmlib, GLIBC filtered):
    rubygem-literati

rubygem-literati (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/ruby
    ruby(release)
    ruby(rubygems)



Provides
--------
rubygem-literati-doc:
    rubygem-literati-doc

rubygem-literati:
    rubygem(literati)
    rubygem-literati



Source checksums
----------------
https://rubygems.org/gems/literati-0.0.4.gem :
  CHECKSUM(SHA256) this package     : 5e3ab56996f111adae03d2079711e9bfb9193a33051ee624e1b4973ea4131858
  CHECKSUM(SHA256) upstream package : 5e3ab56996f111adae03d2079711e9bfb9193a33051ee624e1b4973ea4131858


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1047070
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


Issues:
=======
Just one I think.

The file

/usr/share/gems/gems/literati-0.0.4/bin/literati

is presumably not needed in the package. It is slightly different
also the /usr/bin one.

Comment 3 Ken Dreyer 2014-07-07 20:43:08 UTC
Hi Steve, thanks for the review.

You can see that /usr/bin/literati calls "load" in the final line:
  load Gem.bin_path('literati', 'literati', version)

In other words it is trying to load /usr/share/gems/gems/literati-0.0.4/bin/literati. When that file does not exist, Ruby dies with an error. For example:

 $ /usr/bin/literati 
   /usr/bin/literati:23:in `load': cannot load such file -- /usr/share/gems/gems/literati-0.0.4/bin/literati (LoadError)
	from /usr/bin/literati:23:in `<main>'

So it's right to ship usr/share/gems/gems/literati-0.0.4/bin/literati.

Comment 4 Steve Traylen 2014-07-08 07:58:33 UTC
Indeed, 

APPROVED

Comment 5 Ken Dreyer 2014-07-08 20:31:14 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: rubygem-literati
Short Description: Render literate Haskell with Ruby
Upstream URL: https://github.com/jm/literati
Owners: ktdreyer
Branches: f20

Comment 6 Kevin Fenzi 2014-07-09 04:12:10 UTC
Git done (by process-git-requests).

(with added f21 branch)


Note You need to log in before you can comment on or make changes to this bug.